Bug 949544 - nsupdate segfaults with -r option
Summary: nsupdate segfaults with -r option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Hozza 🤓
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-08 12:42 UTC by Jan Včelák
Modified: 2013-06-18 01:36 UTC (History)
2 users (show)

Fixed In Version: dhcp-4.2.5-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-18 01:29:06 UTC


Attachments (Terms of Use)

Description Jan Včelák 2013-04-08 12:42:05 UTC
Description of problem:
nsupdate segfaults when -r option is used


Version-Release number of selected component (if applicable):
bind-utils-9.9.2-10.P2.fc18.x86_64


How reproducible:
always

Steps to Reproduce:
1. nsupdate -r 10
2.
3.
  
Actual results:
Segmentation fault

Expected results:
nsupdate will start without segfault


Additional info:

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff62a17bb in isc_parse_uint32 () from /lib64/libisc.so.92
(gdb) bt
#0  0x00007ffff62a17bb in isc_parse_uint32 () from /lib64/libisc.so.92
#1  0x0000000000404b30 in main ()

Comment 1 Adam Tkac 2013-04-19 10:30:52 UTC
I pushed the fix to f19 and master branches. F18 will be updated later, together with update to next upstream release which will be released during next week, I guess.

Comment 2 Fedora Admin XMLRPC Client 2013-04-25 11:38:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Tomáš Hozza 🤓 2013-05-13 11:38:32 UTC
Fixed in bind-9.9.2-11.P2.fc18 [1].

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=418506

Comment 4 Fedora Update System 2013-05-13 11:46:10 UTC
bind-9.9.3-0.6.rc2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bind-9.9.3-0.6.rc2.fc19

Comment 5 Fedora Update System 2013-05-24 20:13:53 UTC
bind-9.9.3-0.6.rc2.fc19, dhcp-4.2.5-12.fc19, bind-dyndb-ldap-3.2-1.fc19, dnsperf-2.0.0.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-06-03 19:48:35 UTC
bind-dyndb-ldap-2.6-2.fc18,dnsperf-2.0.0.0-4.fc18,dhcp-4.2.5-12.fc18,bind-9.9.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bind-dyndb-ldap-2.6-2.fc18,dnsperf-2.0.0.0-4.fc18,dhcp-4.2.5-12.fc18,bind-9.9.3-2.fc18

Comment 7 Fedora Update System 2013-06-03 19:52:14 UTC
dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-2.fc17

Comment 8 Fedora Update System 2013-06-06 01:28:56 UTC
Package dhcp-4.2.5-2.fc17, dnsperf-2.0.0.0-3.fc17, bind-dyndb-ldap-2.5-2.fc17, bind-9.9.3-3.P1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dhcp-4.2.5-2.fc17 dnsperf-2.0.0.0-3.fc17 bind-dyndb-ldap-2.5-2.fc17 bind-9.9.3-3.P1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10100/dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-3.P1.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-06-18 01:29:06 UTC
bind-dyndb-ldap-2.6-2.fc18, dnsperf-2.0.0.0-4.fc18, dhcp-4.2.5-12.fc18, bind-9.9.3-3.P1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-06-18 01:36:27 UTC
dhcp-4.2.5-2.fc17, dnsperf-2.0.0.0-3.fc17, bind-dyndb-ldap-2.5-2.fc17, bind-9.9.3-3.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.